Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 2311)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 2312)
@@ -20,26 +20,29 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! PA0349 and PA0420 removed.
+!
+! 2300 2017-06-29 13:31:14Z raasch
 ! host-specific settings and checks removed
-! 
+!
 ! 2292 2017-06-20 09:51:42Z schwenkel
-! Implementation of new microphysic scheme: cloud_scheme = 'morrison' 
-! includes two more prognostic equations for cloud drop concentration (nc)  
-! and cloud water content (qc). 
-! 
+! Implementation of new microphysic scheme: cloud_scheme = 'morrison'
+! includes two more prognostic equations for cloud drop concentration (nc)
+! and cloud water content (qc).
+!
 ! 2274 2017-06-09 13:27:48Z Giersch
-! Changed error messages 
-! 
+! Changed error messages
+!
 ! 2271 2017-06-09 12:34:55Z sward
 ! roughness-length check altered
 ! Error messages fixed
-! 
+!
 ! 2270 2017-06-09 12:18:47Z maronga
 ! Revised numbering (removed 2 timeseries)
-! 
+!
 ! 2259 2017-06-08 09:09:11Z gronemeier
 ! Implemented synthetic turbulence generator
@@ -50,13 +53,13 @@
 ! Doxygen comment added
 !
-! 2248 2017-06-06 13:52:54Z sward 
+! 2248 2017-06-06 13:52:54Z sward
 ! Error message fixed
 !
 ! 2209 2017-04-19 09:34:46Z kanani
 ! Check for plant canopy model output
-! 
+!
 ! 2200 2017-04-11 11:37:51Z suehring
 ! monotonic_adjustment removed
-! 
+!
 ! 2178 2017-03-17 11:07:39Z hellstea
 ! Index limits for perturbations are now set also in case of nested
@@ -65,83 +68,83 @@
 ! 2169 2017-03-06 18:16:35Z suehring
 ! Bugfix, move setting for topography grid convention to init_grid
-! 
+!
 ! 2118 2017-01-17 16:38:49Z raasch
 ! OpenACC related parts of code removed
-! 
+!
 ! 2088 2016-12-19 16:30:25Z suehring
 ! Bugfix in initial salinity profile
-! 
+!
 ! 2084 2016-12-09 15:59:42Z knoop
 ! Removed anelastic + multigrid error message
-! 
+!
 ! 2052 2016-11-08 15:14:59Z gronemeier
 ! Bugfix: remove setting of default value for recycling_width
-! 
+!
 ! 2050 2016-11-08 15:00:55Z gronemeier
 ! Implement turbulent outflow condition
-! 
+!
 ! 2044 2016-11-02 16:44:25Z knoop
 ! Added error code for anelastic approximation
-! 
+!
 ! 2042 2016-11-02 13:47:31Z suehring
 ! Additional checks for wall_heatflux, wall_humidityflux and wall_scalarflux.
 ! Bugfix, check for constant_scalarflux.
-! 
+!
 ! 2040 2016-10-26 16:58:09Z gronemeier
 ! Removed check for statistic_regions > 9.
-! 
+!
 ! 2037 2016-10-26 11:15:40Z knoop
 ! Anelastic approximation implemented
-! 
+!
 ! 2031 2016-10-21 15:11:58Z knoop
 ! renamed variable rho to rho_ocean
-! 
+!
 ! 2026 2016-10-18 10:27:02Z suehring
 ! Bugfix, enable output of s*2
-! 
+!
 ! 2024 2016-10-12 16:42:37Z kanani
 ! Added missing CASE, error message and unit for ssws*,
 ! increased number of possible output quantities to 500.
-! 
+!
 ! 2011 2016-09-19 17:29:57Z kanani
 ! Flag urban_surface is now defined in module control_parameters,
 ! changed prefix for urban surface model output to "usm_",
-! added flag lsf_exception (inipar-Namelist parameter) to allow explicit 
+! added flag lsf_exception (inipar-Namelist parameter) to allow explicit
 ! enabling of large scale forcing together with buildings on flat terrain,
 ! introduced control parameter varnamelength for LEN of var.
-! 
+!
 ! 2007 2016-08-24 15:47:17Z kanani
 ! Added checks for the urban surface model,
 ! increased counter in DO WHILE loop over data_output (for urban surface output)
-! 
+!
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
-! 
+!
 ! 1994 2016-08-15 09:52:21Z suehring
 ! Add missing check for cloud_physics and cloud_droplets
-! 
+!
 ! 1992 2016-08-12 15:14:59Z suehring
 ! New checks for top_scalarflux
 ! Bugfixes concerning data output of profiles in case of passive_scalar
-! 
+!
 ! 1984 2016-08-01 14:48:05Z suehring
 ! Bugfix: checking for bottom and top boundary condition for humidity and scalars
-! 
+!
 ! 1972 2016-07-26 07:52:02Z maronga
 ! Removed check of lai* (done in land surface module)
-! 
+!
 ! 1970 2016-07-18 14:27:12Z suehring
 ! Bugfix, check for ibc_q_b and constant_waterflux in case of land-surface scheme
-! 
+!
 ! 1962 2016-07-13 09:16:44Z suehring
 ! typo removed
-! 
+!
 ! 1960 2016-07-12 16:34:24Z suehring
 ! Separate checks and calculations for humidity and passive scalar. Therefore,
 ! a subroutine to calculate vertical gradients is introduced, in order  to reduce
-! redundance. 
+! redundance.
 ! Additional check - large-scale forcing is not implemented for passive scalars
 ! so far.
-! 
+!
 ! 1931 2016-06-10 12:06:59Z suehring
 ! Rename multigrid into multigrid_noopt and multigrid_fast into multigrid
@@ -158,11 +161,11 @@
 ! 1841 2016-04-07 19:14:06Z raasch
 ! redundant location message removed
-! 
+!
 ! 1833 2016-04-07 14:23:03Z raasch
 ! check of spectra quantities moved to spectra_mod
-! 
+!
 ! 1829 2016-04-07 12:16:29Z maronga
 ! Bugfix: output of user defined data required reset of the string 'unit'
-! 
+!
 ! 1826 2016-04-07 12:01:39Z maronga
 ! Moved checks for radiation model to the respective module.
@@ -172,5 +175,5 @@
 ! 1824 2016-04-07 09:55:29Z gronemeier
 ! Check if roughness_length < dz/2. Moved location_message(finished) to the end.
-! 
+!
 ! 1822 2016-04-07 07:49:42Z hoffmann
 ! PALM collision kernel deleted. Collision algorithms are checked for correct
@@ -186,5 +189,5 @@
 ! 1817 2016-04-06 15:44:20Z maronga
 ! Moved checks for land_surface model to the respective module
-! 
+!
 ! 1806 2016-04-05 18:55:35Z gronemeier
 ! Check for recycling_yshift
@@ -200,5 +203,5 @@
 ! surface presribed in the land surface model. Added output of z0q.
 ! Syntax layout improved.
-! 
+!
 ! 1786 2016-03-08 05:49:27Z raasch
 ! cpp-direktives for spectra removed, check of spectra level removed
@@ -217,21 +220,21 @@
 ! 1745 2016-02-05 13:06:51Z gronemeier
 ! Bugfix: check data output intervals to be /= 0.0 in case of parallel NetCDF4
-! 
+!
 ! 1701 2015-11-02 07:43:04Z maronga
 ! Bugfix: definition of rad_net timeseries was missing
-! 
+!
 ! 1691 2015-10-26 16:17:44Z maronga
-! Added output of Obukhov length (ol) and radiative heating rates for RRTMG. 
+! Added output of Obukhov length (ol) and radiative heating rates for RRTMG.
 ! Added checks for use of radiation / lsm with topography.
-! 
+!
 ! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
+! Code annotations made doxygen readable
+!
 ! 1606 2015-06-29 10:43:37Z maronga
 ! Added check for use of RRTMG without netCDF.
-! 
+!
 ! 1587 2015-05-04 14:19:01Z maronga
 ! Added check for set of albedos when using RRTMG
-! 
+!
 ! 1585 2015-04-30 07:05:52Z maronga
 ! Added support for RRTMG
@@ -248,15 +251,15 @@
 ! 1555 2015-03-04 17:44:27Z maronga
 ! Added output of r_a and r_s. Renumbering of LSM PA-messages.
-! 
+!
 ! 1553 2015-03-03 17:33:54Z maronga
 ! Removed check for missing soil temperature profile as default values were added.
-! 
+!
 ! 1551 2015-03-03 14:18:16Z maronga
 ! Added various checks for land surface and radiation model. In the course of this
 ! action, the length of the variable var has to be increased
-! 
+!
 ! 1504 2014-12-04 09:23:49Z maronga
 ! Bugfix: check for large_scale forcing got lost.
-! 
+!
 ! 1500 2014-12-03 17:42:41Z maronga
 ! Boundary conditions changed to dirichlet for land surface model
@@ -264,44 +267,44 @@
 ! 1496 2014-12-02 17:25:50Z maronga
 ! Added checks for the land surface model
-! 
+!
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   module plant_canopy_model_mod added,
-!   checks regarding usage of new method for leaf area density profile 
+!   checks regarding usage of new method for leaf area density profile
 !   construction added,
-!   lad-profile construction moved to new subroutine init_plant_canopy within 
+!   lad-profile construction moved to new subroutine init_plant_canopy within
 !   the module plant_canopy_model_mod,
 !   drag_coefficient renamed to canopy_drag_coeff.
 ! Missing KIND-attribute for REAL constant added
-! 
+!
 ! 1455 2014-08-29 10:47:47Z heinze
-! empty time records in volume, cross-section and masked data output prevented  
+! empty time records in volume, cross-section and masked data output prevented
 ! in case of non-parallel netcdf-output in restart runs
-! 
+!
 ! 1429 2014-07-15 12:53:45Z knoop
 ! run_description_header exended to provide ensemble_member_nr if specified
-! 
+!
 ! 1425 2014-07-05 10:57:53Z knoop
 ! bugfix: perturbation domain modified for parallel random number generator
-! 
+!
 ! 1402 2014-05-09 14:25:13Z raasch
 ! location messages modified
-! 
+!
 ! 1400 2014-05-09 14:03:54Z knoop
 ! Check random generator extended by option random-parallel
-! 
+!
 ! 1384 2014-05-02 14:31:06Z raasch
 ! location messages added
-! 
+!
 ! 1365 2014-04-22 15:03:56Z boeske
 ! Usage of large scale forcing for pt and q enabled:
-! output for profiles of large scale advection (td_lsa_lpt, td_lsa_q), 
-! large scale subsidence (td_sub_lpt, td_sub_q) 
+! output for profiles of large scale advection (td_lsa_lpt, td_lsa_q),
+! large scale subsidence (td_sub_lpt, td_sub_q)
 ! and nudging tendencies (td_nud_lpt, td_nud_q, td_nud_u and td_nud_v) added,
 ! check if use_subsidence_tendencies is used correctly
-! 
+!
 ! 1361 2014-04-16 15:17:48Z hoffmann
 ! PA0363 removed
-! PA0362 changed 
+! PA0362 changed
 !
 ! 1359 2014-04-11 17:15:14Z hoffmann
@@ -310,12 +313,12 @@
 !
 ! PA0084 not necessary for new particle structure
-! 
+!
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute
-! 
+!
 ! 1330 2014-03-24 17:29:32Z suehring
-! In case of SGS-particle velocity advection of TKE is also allowed with 
+! In case of SGS-particle velocity advection of TKE is also allowed with
 ! dissipative 5th-order scheme.
-! 
+!
 ! 1327 2014-03-21 11:00:16Z raasch
 ! "baroclinicity" renamed "baroclinity", "ocean version" replaced by "ocean mode"
@@ -348,5 +351,5 @@
 ! 1241 2013-10-30 11:36:58Z heinze
 ! output for profiles of ug and vg added
-! set surface_heatflux and surface_waterflux also in dependence on 
+! set surface_heatflux and surface_waterflux also in dependence on
 ! large_scale_forcing
 ! checks for nudging and large scale forcing from external file
@@ -395,5 +398,5 @@
 !
 ! 1065 2012-11-22 17:42:36Z hoffmann
-! Bugfix: It is not allowed to use cloud_scheme = seifert_beheng without 
+! Bugfix: It is not allowed to use cloud_scheme = seifert_beheng without
 !         precipitation in order to save computational resources.
 !
@@ -405,5 +408,5 @@
 ! - check cloud physics scheme (Kessler or Seifert and Beheng)
 ! - plant_canopy is not allowed
-! - currently, only cache loop_optimization is allowed 
+! - currently, only cache loop_optimization is allowed
 ! - initial profiles of nr, qr
 ! - boundary condition of nr, qr
@@ -483,5 +486,5 @@
 !------------------------------------------------------------------------------!
  SUBROUTINE check_parameters
- 
+
 
     USE arrays_3d
@@ -507,5 +510,5 @@
     USE plant_canopy_model_mod,                                                &
         ONLY:  pcm_check_data_output, pcm_check_parameters, plant_canopy
-        
+
     USE pmc_interface,                                                         &
         ONLY:  cpl_id, nested_run
@@ -531,28 +534,28 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=1)   ::  sq                       !< 
-    CHARACTER (LEN=varnamelength)  ::  var           !< 
+    CHARACTER (LEN=1)   ::  sq                       !<
+    CHARACTER (LEN=varnamelength)  ::  var           !<
     CHARACTER (LEN=7)   ::  unit                     !<
-    CHARACTER (LEN=8)   ::  date                     !< 
-    CHARACTER (LEN=10)  ::  time                     !< 
+    CHARACTER (LEN=8)   ::  date                     !<
+    CHARACTER (LEN=10)  ::  time                     !<
     CHARACTER (LEN=20)  ::  ensemble_string          !<
     CHARACTER (LEN=15)  ::  nest_string              !<
-    CHARACTER (LEN=40)  ::  coupling_string          !< 
-    CHARACTER (LEN=100) ::  action                   !< 
-
-    INTEGER(iwp) ::  i                               !< 
+    CHARACTER (LEN=40)  ::  coupling_string          !<
+    CHARACTER (LEN=100) ::  action                   !<
+
+    INTEGER(iwp) ::  i                               !<
     INTEGER(iwp) ::  ilen                            !<
-    INTEGER(iwp) ::  j                               !< 
-    INTEGER(iwp) ::  k                               !< 
-    INTEGER(iwp) ::  kk                              !< 
-    INTEGER(iwp) ::  netcdf_data_format_save         !< 
+    INTEGER(iwp) ::  j                               !<
+    INTEGER(iwp) ::  k                               !<
+    INTEGER(iwp) ::  kk                              !<
+    INTEGER(iwp) ::  netcdf_data_format_save         !<
     INTEGER(iwp) ::  position                        !<
-    
-    LOGICAL     ::  found                            !< 
-    
-    REAL(wp)    ::  dum                              !< 
-    REAL(wp)    ::  gradient                         !< 
-    REAL(wp)    ::  remote = 0.0_wp                  !< 
-    REAL(wp)    ::  simulation_time_since_reference  !< 
+
+    LOGICAL     ::  found                            !<
+
+    REAL(wp)    ::  dum                              !<
+    REAL(wp)    ::  gradient                         !<
+    REAL(wp)    ::  remote = 0.0_wp                  !<
+    REAL(wp)    ::  simulation_time_since_reference  !<
 
 
@@ -568,7 +571,7 @@
 !-- Check the coupling mode
 !> @todo Check if any queries for other coupling modes (e.g. precursor_ocean) are missing
-    IF ( coupling_mode /= 'uncoupled'            .AND.  &  
-         coupling_mode /= 'atmosphere_to_ocean'  .AND.  &  
-         coupling_mode /= 'ocean_to_atmosphere' )  THEN      
+    IF ( coupling_mode /= 'uncoupled'            .AND.  &
+         coupling_mode /= 'atmosphere_to_ocean'  .AND.  &
+         coupling_mode /= 'ocean_to_atmosphere' )  THEN
        message_string = 'illegal coupling mode: ' // TRIM( coupling_mode )
        CALL message( 'check_parameters', 'PA0002', 1, 2, 0, 6, 0 )
@@ -590,5 +593,5 @@
 !--    NOTE: coupled runs have not been implemented in the check_namelist_files
 !--    program.
-!--    check_namelist_files will need the following information of the other 
+!--    check_namelist_files will need the following information of the other
 !--    model (atmosphere/ocean).
 !       dt_coupling = remote
@@ -607,5 +610,5 @@
        ENDIF
        CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
- 
+
        IF ( dt_coupling /= remote )  THEN
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
@@ -620,7 +623,7 @@
              CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 19, comm_inter,    &
                             status, ierr )
-          ENDIF   
+          ENDIF
           CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
-      
+
           dt_coupling = MAX( dt_max, remote )
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
@@ -635,7 +638,7 @@
           CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 12, comm_inter,       &
                          status, ierr )
-       ENDIF 
+       ENDIF
        CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
-  
+
        IF ( restart_time /= remote )  THEN
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
@@ -650,7 +653,7 @@
           CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 13, comm_inter,       &
                          status, ierr )
-       ENDIF   
+       ENDIF
        CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
-    
+
        IF ( dt_restart /= remote )  THEN
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
@@ -666,8 +669,8 @@
                          14, comm_inter, ierr )
           CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 14, comm_inter,       &
-                         status, ierr )    
-       ENDIF 
+                         status, ierr )
+       ENDIF
        CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
-    
+
        IF ( simulation_time_since_reference /= remote )  THEN
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
@@ -730,5 +733,5 @@
              WRITE( message_string, * ) 'coupling mode "',                     &
                    TRIM( coupling_mode ),                                      &
-             '": nx+1 in ocean is not divisible by nx+1 in', & 
+             '": nx+1 in ocean is not divisible by nx+1 in', &
              ' atmosphere without remainder'
              CALL message( 'check_parameters', 'PA0339', 1, 2, 0, 6, 0 )
@@ -738,5 +741,5 @@
              WRITE( message_string, * ) 'coupling mode "',                     &
                    TRIM( coupling_mode ),                                      &
-             '": ny+1 in ocean is not divisible by ny+1 in', & 
+             '": ny+1 in ocean is not divisible by ny+1 in', &
              ' atmosphere without remainder'
 
@@ -763,5 +766,5 @@
     ENDIF
     CALL MPI_BCAST( humidity_remote, 1, MPI_LOGICAL, 0, comm2d, ierr)
-    
+
 #endif
 
@@ -932,5 +935,5 @@
        flux_output_mode = 'dynamic'
     ENDIF
-    
+
 !
 !-- set the flux output units according to flux_output_mode
@@ -1024,6 +1027,6 @@
        CALL message( 'check_parameters', 'PA0021', 1, 2, 0, 6, 0 )
     ENDIF
-    
-    IF( momentum_advec == 'ws-scheme' .AND.                                    & 
+
+    IF( momentum_advec == 'ws-scheme' .AND.                                    &
         .NOT. call_psolver_at_all_substeps  ) THEN
         message_string = 'psolver must be called at each RK3 substep when "'// &
@@ -1074,10 +1077,4 @@
     ENDIF
 
-    IF ( use_sgs_for_particles  .AND.  curvature_solution_effects )  THEN
-       message_string = 'use_sgs_for_particles = .TRUE. not allowed with ' //  &
-                        'curvature_solution_effects = .TRUE.'
-       CALL message( 'check_parameters', 'PA0349', 1, 2, 0, 6, 0 )
-    ENDIF
-
 !
 !-- Set LOGICAL switches to enhance performance
@@ -1114,5 +1111,5 @@
     ENDIF
 !
-!-- Check for proper settings for microphysics 
+!-- Check for proper settings for microphysics
     IF ( cloud_physics  .AND.  cloud_droplets )  THEN
        message_string = 'cloud_physics = .TRUE. is not allowed with ' //  &
@@ -1141,21 +1138,4 @@
     END SELECT
     IF ( collision_kernel(6:9) == 'fast' )  use_kernel_tables = .TRUE.
-
-!
-!-- Collision algorithms:
-    SELECT CASE ( TRIM( collision_algorithm ) )
-
-       CASE ( 'all_or_nothing' )
-          all_or_nothing = .TRUE.
-
-       CASE ( 'average_impact' )
-          average_impact = .TRUE.
-
-       CASE DEFAULT
-          message_string = 'unknown collision algorithm: collision_algorithm = "' // &
-                           TRIM( collision_algorithm ) // '"'
-          CALL message( 'check_parameters', 'PA0420', 1, 2, 0, 6, 0 )
-
-       END SELECT
 
     IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.            &
@@ -1186,5 +1166,5 @@
                         ' is not allowed with conserve_volume_flow = .T.'
        CALL message( 'check_parameters', 'PA0343', 1, 2, 0, 6, 0 )
-    ENDIF       
+    ENDIF
 
 
@@ -1229,5 +1209,5 @@
 !-- When plant canopy model is used, peform addtional checks
     IF ( plant_canopy )  CALL pcm_check_parameters
-    
+
 !
 !-- Additional checks for spectra
@@ -1255,5 +1235,5 @@
                         'loop_optimization = "cache" or "vector"'
        CALL message( 'check_parameters', 'PA0362', 1, 2, 0, 6, 0 )
-    ENDIF 
+    ENDIF
 
 !
@@ -1288,5 +1268,5 @@
                    i = i + 1
                 ENDIF
-             ENDIF        
+             ENDIF
              IF ( gradient /= 0.0_wp )  THEN
                 IF ( k /= 1 )  THEN
@@ -1331,5 +1311,5 @@
        IF ( ug_vertical_gradient_level(1) == -9999999.9_wp )  THEN
           ug_vertical_gradient_level(1) = 0.0_wp
-       ENDIF  
+       ENDIF
 
 !
@@ -1345,5 +1325,5 @@
           vg(0) = vg_surface
           DO  k = 1, nzt+1
-             IF ( i < 11 )  THEN 
+             IF ( i < 11 )  THEN
                 IF ( vg_vertical_gradient_level(i) < zu(k)  .AND.              &
                      vg_vertical_gradient_level(i) >= 0.0_wp )  THEN
@@ -1482,5 +1462,5 @@
        ENDIF
 
-         
+
     ENDIF
 
@@ -1522,5 +1502,5 @@
           CALL message( 'check_parameters', 'PA0381', 1, 2, 0, 6, 0 )
         ENDIF
-    ENDIF    
+    ENDIF
 
 !
@@ -1616,5 +1596,5 @@
        IF ( use_ug_for_galilei_tr                    .AND.                     &
             ug_vertical_gradient_level(1) == 0.0_wp  .AND.                     &
-            ug_vertical_gradient(1) == 0.0_wp        .AND.                     & 
+            ug_vertical_gradient(1) == 0.0_wp        .AND.                     &
             vg_vertical_gradient_level(1) == 0.0_wp  .AND.                     &
             vg_vertical_gradient(1) == 0.0_wp )  THEN
@@ -1913,5 +1893,5 @@
 
     ENDIF
-    
+
     IF ( passive_scalar )  THEN
 
@@ -1934,5 +1914,5 @@
 !
 !--    A fixed scalar concentration at the top implies Dirichlet boundary
-!--    condition for scalar. Hence, in this case specification of a constant 
+!--    condition for scalar. Hence, in this case specification of a constant
 !--    scalar flux is forbidden.
        IF ( ( ibc_s_t == 0 .OR. ibc_s_t == 2 )  .AND.  constant_top_scalarflux &
@@ -2652,5 +2632,5 @@
              dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,61,:) = SPREAD( zu, 2, statistic_regions+1 )
-             
+
           CASE ( 'v*pt*' )
              dopr_index(i) = 62
@@ -2976,5 +2956,5 @@
              ENDIF
 
- 
+
 
           CASE DEFAULT
@@ -2987,5 +2967,5 @@
                                                      unit, dopr_unit(i) )
              ENDIF
-             
+
              IF ( unit == 'illegal' )  THEN
                 unit = ''
@@ -3251,5 +3231,5 @@
                                  'res passive_scalar = .TRUE.'
                 CALL message( 'check_parameters', 'PA0361', 1, 2, 0, 6, 0 )
-             ENDIF             
+             ENDIF
 
              IF ( TRIM( var ) == 'lwp*'   )  unit = 'kg/m2'
@@ -3259,14 +3239,14 @@
              IF ( TRIM( var ) == 'qsws*'  )  unit = 'kgm/kgs'
              IF ( TRIM( var ) == 'shf*'   )  unit = 'K*m/s'
-             IF ( TRIM( var ) == 'ssws*'  )  unit = 'kg/m2*s'      
+             IF ( TRIM( var ) == 'ssws*'  )  unit = 'kg/m2*s'
              IF ( TRIM( var ) == 't*'     )  unit = 'K'
              IF ( TRIM( var ) == 'u*'     )  unit = 'm/s'
              IF ( TRIM( var ) == 'z0*'    )  unit = 'm'
-             IF ( TRIM( var ) == 'z0h*'   )  unit = 'm' 
-             
+             IF ( TRIM( var ) == 'z0h*'   )  unit = 'm'
+
           CASE DEFAULT
 
              CALL lsm_check_data_output ( var, unit, i, ilen, k )
- 
+
              IF ( unit == 'illegal' )  THEN
                 CALL radiation_check_data_output( var, unit, i, ilen, k )
@@ -3284,5 +3264,5 @@
                  CALL pcm_check_data_output( var, unit )
              ENDIF
-             
+
              IF ( unit == 'illegal' )  THEN
                 unit = ''
@@ -3408,5 +3388,5 @@
        ENDIF
     ENDDO
-    
+
     IF ( masks < 0  .OR.  masks > max_masks )  THEN
        WRITE( message_string, * )  'illegal value: masks must be >= 0 and ',   &
@@ -3426,5 +3406,5 @@
 !
 !--    Generate masks for masked data output
-!--    Parallel netcdf output is not tested so far for masked data, hence 
+!--    Parallel netcdf output is not tested so far for masked data, hence
 !--    netcdf_data_format is switched back to non-paralell output.
        netcdf_data_format_save = netcdf_data_format
@@ -3436,5 +3416,5 @@
                            '6 (parallel netCDF 4 Classic model) '//            &
                            '&are currently not supported (not yet tested) ' // &
-                           'for masked data.&Using respective non-parallel' // &  
+                           'for masked data.&Using respective non-parallel' // &
                            ' output for masked data.'
           CALL message( 'check_parameters', 'PA0383', 0, 0, 0, 6, 0 )
@@ -3629,5 +3609,5 @@
 !-- near the inflow and the perturbation area is further limited to ...(1)
 !-- after the initial phase of the flow.
-    
+
     IF ( bc_lr /= 'cyclic' )  THEN
        IF ( inflow_disturbance_begin == -1 )  THEN
@@ -3666,5 +3646,5 @@
     ENDIF
 
-    IF ( random_generator == 'random-parallel' )  THEN 
+    IF ( random_generator == 'random-parallel' )  THEN
        dist_nxl = nxl;  dist_nxr = nxr
        dist_nys = nys;  dist_nyn = nyn
@@ -3921,5 +3901,5 @@
 
     IF ( large_scale_forcing  .AND.  (  .NOT.  humidity ) )  THEN
-       message_string = 'The usage of large scale forcing from external &'//   & 
+       message_string = 'The usage of large scale forcing from external &'//   &
                         'file LSF_DATA requires humidity = .T..'
        CALL message( 'check_parameters', 'PA0376', 1, 2, 0, 6, 0 )
@@ -3927,5 +3907,5 @@
 
     IF ( large_scale_forcing  .AND.  passive_scalar )  THEN
-       message_string = 'The usage of large scale forcing from external &'//   & 
+       message_string = 'The usage of large scale forcing from external &'//   &
                         'file LSF_DATA is not implemented for passive scalars'
        CALL message( 'check_parameters', 'PA0440', 1, 2, 0, 6, 0 )
@@ -3934,5 +3914,5 @@
     IF ( large_scale_forcing  .AND.  topography /= 'flat'                      &
                               .AND.  .NOT.  lsf_exception )  THEN
-       message_string = 'The usage of large scale forcing from external &'//   & 
+       message_string = 'The usage of large scale forcing from external &'//   &
                         'file LSF_DATA is not implemented for non-flat topography'
        CALL message( 'check_parameters', 'PA0377', 1, 2, 0, 6, 0 )
@@ -3940,5 +3920,5 @@
 
     IF ( large_scale_forcing  .AND.  ocean )  THEN
-       message_string = 'The usage of large scale forcing from external &'//   & 
+       message_string = 'The usage of large scale forcing from external &'//   &
                         'file LSF_DATA is not implemented for ocean runs'
        CALL message( 'check_parameters', 'PA0378', 1, 2, 0, 6, 0 )
@@ -3955,5 +3935,5 @@
           do2d_yz_time_count = 0
           domask_time_count  = 0
-       ENDIF 
+       ENDIF
     ENDIF
 
@@ -3989,5 +3969,5 @@
 !> Check the length of data output intervals. In case of parallel NetCDF output
 !> the time levels of the output files need to be fixed. Therefore setting the
-!> output interval to 0.0s (usually used to output each timestep) is not 
+!> output interval to 0.0s (usually used to output each timestep) is not
 !> possible as long as a non-fixed timestep is used.
 !------------------------------------------------------------------------------!
@@ -4018,8 +3998,8 @@
 
     END SUBROUTINE check_dt_do
-    
-    
-    
-    
+
+
+
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -4034,18 +4014,18 @@
 
 
-       IMPLICIT NONE    
-    
+       IMPLICIT NONE
+
        INTEGER(iwp) ::  i     !< counter
        INTEGER(iwp), DIMENSION(1:10) ::  vertical_gradient_level_ind !< vertical grid indices for gradient levels
-       
-       REAL(wp)     ::  bc_t_val      !< model top gradient       
-       REAL(wp)     ::  gradient      !< vertica gradient of the respective quantity 
+
+       REAL(wp)     ::  bc_t_val      !< model top gradient
+       REAL(wp)     ::  gradient      !< vertica gradient of the respective quantity
        REAL(wp)     ::  surface_value !< surface value of the respecitve quantity
 
-       
+
        REAL(wp), DIMENSION(0:nz+1) ::  pr_init                 !< initialisation profile
        REAL(wp), DIMENSION(1:10)   ::  vertical_gradient       !< given vertical gradient
        REAL(wp), DIMENSION(1:10)   ::  vertical_gradient_level !< given vertical gradient level
-       
+
        i = 1
        gradient = 0.0_wp
@@ -4109,5 +4089,5 @@
 
        ENDIF
-       
+
 !
 !--    In case of no given gradients, choose zero gradient conditions
@@ -4118,9 +4098,9 @@
 !--    Store gradient at the top boundary for possible Neumann boundary condition
        bc_t_val  = ( pr_init(nzt+1) - pr_init(nzt) ) / dzu(nzt+1)
-    
+
     END SUBROUTINE init_vertical_profiles
-    
-    
-     
+
+
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -4129,10 +4109,10 @@
 !------------------------------------------------------------------------------!
 
-    SUBROUTINE set_bc_scalars( sq, bc_b, bc_t, ibc_b, ibc_t, err_nr_b, err_nr_t ) 
-
-
-       IMPLICIT NONE    
-    
-       CHARACTER (LEN=1)   ::  sq                       !< 
+    SUBROUTINE set_bc_scalars( sq, bc_b, bc_t, ibc_b, ibc_t, err_nr_b, err_nr_t )
+
+
+       IMPLICIT NONE
+
+       CHARACTER (LEN=1)   ::  sq                       !<
        CHARACTER (LEN=*)   ::  bc_b
        CHARACTER (LEN=*)   ::  bc_t
@@ -4171,7 +4151,7 @@
           CALL message( 'check_parameters', err_nr_t, 1, 2, 0, 6, 0 )
        ENDIF
-       
-    
-    END SUBROUTINE set_bc_scalars   
+
+
+    END SUBROUTINE set_bc_scalars
 
 
@@ -4180,5 +4160,5 @@
 ! Description:
 ! ------------
-!> Check for consistent settings of bottom boundary conditions for humidity 
+!> Check for consistent settings of bottom boundary conditions for humidity
 !> and scalars.
 !------------------------------------------------------------------------------!
@@ -4189,17 +4169,17 @@
 
 
-       IMPLICIT NONE    
-    
-       CHARACTER (LEN=1)   ::  sq                       !< 
+       IMPLICIT NONE
+
+       CHARACTER (LEN=1)   ::  sq                       !<
        CHARACTER (LEN=*)   ::  bc_b
        CHARACTER (LEN=*)   ::  err_nr_1
        CHARACTER (LEN=*)   ::  err_nr_2
-       
+
        INTEGER(iwp)        ::  ibc_b
-       
+
        LOGICAL             ::  constant_flux
-       
+
        REAL(wp)            ::  surface_initial_change
- 
+
 !
 !--    A given surface value implies Dirichlet boundary condition for
@@ -4220,10 +4200,10 @@
                  surface_initial_change
           CALL message( 'check_parameters', err_nr_2, 1, 2, 0, 6, 0 )
-       ENDIF  
-       
-    
-    END SUBROUTINE check_bc_scalars   
-    
-    
+       ENDIF
+
+
+    END SUBROUTINE check_bc_scalars
+
+
 
  END SUBROUTINE check_parameters
